package cn.ibizlab.core.lite.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.lite.domain.DstMicroservice;
import cn.ibizlab.core.lite.filter.DstMicroserviceSearchContext;


/**
 * 实体[DstMicroservice] 服务对象接口
 */
public interface IDstMicroserviceService{

    boolean create(DstMicroservice et) ;
    void createBatch(List<DstMicroservice> list) ;
    boolean update(DstMicroservice et) ;
    void updateBatch(List<DstMicroservice> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    DstMicroservice get(String key) ;
    DstMicroservice getDraft(DstMicroservice et) ;
    boolean checkKey(DstMicroservice et) ;
    boolean save(DstMicroservice et) ;
    void saveBatch(List<DstMicroservice> list) ;
    Page<DstMicroservice> searchDefault(DstMicroserviceSearchContext context) ;
    List<DstMicroservice> selectByPssystemid(String pssystemid) ;
    void removeByPssystemid(String pssystemid) ;

}



